Impossible to upgrade Nextcloud 20>21

Hello,

My YunoHost server

Hardware: Raspberry Pi at home
YunoHost version: 4.2.7 (stable)
I have access to my server : Through SSH | through the webadmin
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no

Description of my issue

I am trying to upgrade Nextcloud from 20.0.8~ynh1 to 21.0.3~ynh1 but I get some error.

Upgrade process:

Mise à jour de nextcloud...
Loading installation settings...
Ensuring downward compatibility...
Backing up the app before upgrading (may take a while)...
Upgrading dependencies...
Making sure dedicated system user exists...
Upgrading PHP-FPM configuration...
Upgrading NGINX web server configuration...
The service nginx has correctly executed the action reload-or-restart.
Upgrading Nextcloud...
Upgrade to nextcloud 21.0.0
'/tmp/tmp.XjYbtv8Gyc' wasn't deleted because it doesn't exist.
Starting ...
0/0 [>---------------------------] 0% Starting ...
0/0 [->--------------------------] 0%
Starting ...
Upgrade to nextcloud 21.0.3
'/tmp/tmp.DhHR2ZcvAt' wasn't deleted because it doesn't exist.
1/0 [--->------------------------] 0%Unable to upgrade Nextcloud
[Error] Upgrade failed.
20236 /!\ Packagers! You are probably using a lua regex. You should use a PCRE regex instead.
The app was restored to the way it was before the failed upgrade.
Impossible de mettre à jour nextcloud : Une erreur s’est produite durant l’exécution du script de mise à niveau de l’application

Full log: https://paste.yunohost.org/raw/vocemohiri

Questions

Do you think the issue comes from this “lua regex”?
Is it a package and, if so, should I remove it and install PCRE regex instead?

Thank you
Best,
Thibaut

When Nextcloud upgrade fails, the problem is often with the extra installed apps. In your case, the “news” app seems to be the problem. Try to remove it before upgrading again.

Hello,
Nextcloud’s CSS is not working (I guess this is linked with my problem) and it makes that I cannot access the app page.
Do you know if there is any way to remove it without using the UI?
Or maybe to downgrade it?

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.